Consistently asked to open Adobe Cloud PDF in Adobe Acrobat or Reader version XI (11) or later.

Community Beginner ,
Mar 08, 2021 Mar 08, 2021

Copy link to clipboard

Copied

When trying to view an Adobe Sign agreement, or "Download PDF", I am always prompted to download a new version of Adobe Acrobat. I thought using the cloud would automatically have the necessary requirements to view PDFs. After receiving this prompt several times I used the "Get Adobe Reader" option and downloaded the reader, only to have the same issue. 

TOPICS
General troubleshooting, How to, Install update and subscribe to Acrobat, Security digital signatures and esignatures

Views

39

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Mar 08, 2021 Mar 08, 2021

Copy link to clipboard

Copied

LATEST

There were changes made to Acrobat/Reader at version XI specifically to support digital signatures for Adobe Sign. Any later version should be OK. If you are seeing this in a web browser, that's because the web browser's PDF viewer doesn't support digital signatures. Download the file and open in Acrobat/Reader.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines